Package twisted :: Package web :: Module microdom :: Class Node

[frames | no frames]

## Class Node

    object --+
             |
            Node

Known Subclasses:
  `CharacterData`, `Document`, `Element`, `EntityReference`

Method Summary
| `__init__(self, parentNode)`
| `__hash__(self)`
| `appendChild(self, child)`
| `cloneNode(self, deep, parent)`
| `firstChild(self)`
| `hasChildNodes(self)`
| `insertBefore(self, new, ref)`
| `isEqualToNode(self, n)`
| `lastChild(self)`
| `removeChild(self, child)`
| `replaceChild(self, newChild, oldChild)`
| `toprettyxml(self, indent, addindent, newl, strip)`
| `toxml(self, indent, addindent, newl, strip, nsprefixes, namespace)`
| `writeprettyxml(self, stream, indent, addindent, newl, strip)`
| `writexml(self, stream, indent, addindent, newl, strip, nsprefixes, namespace)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`str` | `nodeName` = `'Node'`

Class Variable Details

### nodeName

  Type:
    `str`
  Value:

        'Node'

Generated by Epydoc 2.0 on Sat May 15 20:08:52 2004 | http://epydoc.sf.net